ProductExtraServices
Search ProductExtraServices
Search and list ProductExtraService records with filtering, sorting, and pagination.
GET
Search ProductExtraServices
A ProductExtraService links an
ExtraService to a Product. The meaning of UsesIncluded depends on the type of the linked extra service:
- Booking time (ExtraService with
IsPrintingCredit = false) — customers receive an allowance of booking time for the resource type(s) associated with that extra service. For example, a product called “Hot Desk Bundle” might include 2 hours of meeting room usage — achieved by linking a “Meeting Room Hourly” extra service with “UsesIncluded120. - Printing credit (ExtraService with
IsPrintingCredit = true) — customers receive a number of print jobs/pages.UsesIncludedis the number of printing credits included. The linked extra service must haveChargePeriod = 5(Uses) andPrice = 1.
IsPrintingCredit on the linked extra service before interpreting UsesIncluded.
For booking-time extra services, the unit of UsesIncluded is determined by the ChargePeriod of the linked ExtraService:
So “UsesIncluded
60 on a minutes extra service means 60 minutes of booking time included. On a daily extra service it means 60 full days.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the ProductExtraService-List role.Enums
eChargePeriod — ExtraServiceChargePeriod values
eChargePeriod — ExtraServiceChargePeriod values
eRecurrentChargePattern
eRecurrentChargePattern
Query Parameters
Pagination & Sorting
integer
default:"1"
The page number to retrieve.
integer
default:"25"
The number of records per page.
string
The property name to sort results by (e.g.
Name, CreatedOn).integer
Sort direction.
0 for ascending, 1 for descending.Filters
integer
Filter by iD of the product linked to this record.
string
Filter by product name.
integer
Filter by iD of the extra service linked to this record.
string
Filter by extra service name.
string
Filter by charge period of the linked extra service.
boolean
Filter by benefit is booking credit.
boolean
Filter by benefit is printing credit.
integer
Filter by uses included.
integer
Filter by the expire time in months value for this product extra service.
integer
Filter by the expire time in weeks value for this product extra service.
integer
Filter by expiration type.
integer
Filter by expires in.
Range Filters
integer
Filter by uses included greater than or equal to this value.
integer
Filter by uses included less than or equal to this value.
integer
Filter by the expire time in months value for this product extra service greater than or equal to this value.
integer
Filter by the expire time in months value for this product extra service less than or equal to this value.
integer
Filter by the expire time in weeks value for this product extra service greater than or equal to this value.
integer
Filter by the expire time in weeks value for this product extra service less than or equal to this value.
integer
Filter by expires in greater than or equal to this value.
integer
Filter by expires in less than or equal to this value.
string
Filter records created on or after this date. Format:
YYYY-MM-DDTHH:mm.string
Filter records created on or before this date. Format:
YYYY-MM-DDTHH:mm.string
Filter records updated on or after this date. Format:
YYYY-MM-DDTHH:mm.string
Filter records updated on or before this date. Format:
YYYY-MM-DDTHH:mm.Code Examples
Simple listing
Filtering by CreatedOn
Range filters
Response
200
ProductExtraService[]
The list of ProductExtraService records matching the query. See the Get one ProductExtraService endpoint for the full list of properties returned for each record.
integer
Current page number.
integer
Number of records per page.
string
The field used for sorting.
integer
The sort direction (
0 = ascending, 1 = descending).integer
Index of the first item on the current page.
integer
Index of the last item on the current page.
integer
Total number of matching records across all pages.
integer
Total number of pages.
boolean
Whether there is a next page of results.
boolean
Whether there is a previous page of results.
Example Response
Search ProductExtraServices